
####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was Config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################

# provide meta-data
set(syncthingconnector_varname "LIB_SYNCTHING_CONNECTOR")
set(syncthingconnector_static_varname "LIB_SYNCTHING_CONNECTOR")
set(LIB_SYNCTHING_CONNECTOR_DISPLAY_NAME "Connection backend of Syncthing Tray")
set(LIB_SYNCTHING_CONNECTOR_AUTHOR "Martchus")
set(LIB_SYNCTHING_CONNECTOR_VERSION "0.6.2")
set(LIB_SYNCTHING_CONNECTOR_VERSION_MAJOR "0")
set(LIB_SYNCTHING_CONNECTOR_VERSION_MINOR "6")
set(LIB_SYNCTHING_CONNECTOR_VERSION_PATCH "2")
set(LIB_SYNCTHING_CONNECTOR_GIT_REV_COUNT "")
set(LIB_SYNCTHING_CONNECTOR_GIT_LAST_COMMIT_ID "")
set(LIB_SYNCTHING_CONNECTOR_URL "https://github.com/Martchus/syncthingtray")
set(LIB_SYNCTHING_CONNECTOR_DESCRIPTION "Connection backend of Syncthing Tray")

# define general config
set(LIB_SYNCTHING_CONNECTOR_IS_HEADER_ONLY NO)
set(LIB_SYNCTHING_CONNECTOR_HAS_SHARED_LIB ON)
set(LIB_SYNCTHING_CONNECTOR_HAS_STATIC_LIB OFF)
set(LIB_SYNCTHING_CONNECTOR_INCLUDE_DIRS "${PACKAGE_PREFIX_DIR}/include")
set(LIB_SYNCTHING_CONNECTOR_BIN_DIR "${PACKAGE_PREFIX_DIR}/bin")
set(LIB_SYNCTHING_CONNECTOR_LIB_DIR "${PACKAGE_PREFIX_DIR}/lib")
set(LIB_SYNCTHING_CONNECTOR_MODULE_DIRS "${PACKAGE_PREFIX_DIR}/share/syncthingconnector/cmake/modules")
set(LIB_SYNCTHING_CONNECTOR_CONFIG_DIRS "${PACKAGE_PREFIX_DIR}/share/syncthingconnector/cmake")
set(LIB_SYNCTHING_CONNECTOR_PRIVATE_QT_MODULES "Core;Network;DBus")
set(LIB_SYNCTHING_CONNECTOR_PRIVATE_KF_MODULES "")
set(LIB_SYNCTHING_CONNECTOR_PUBLIC_QT_MODULES "Core;Network")
set(LIB_SYNCTHING_CONNECTOR_PUBLIC_KF_MODULES "")
set(LIB_SYNCTHING_CONNECTOR_HAS_QT_TRANSLATION_FILES YES)
set(LIB_SYNCTHING_CONNECTOR_QT_RESOURCES )

# define shared library config
if(LIB_SYNCTHING_CONNECTOR_HAS_SHARED_LIB)
    set(LIB_SYNCTHING_CONNECTOR_SHARED_LIB "syncthingconnector")
    set(LIB_SYNCTHING_CONNECTOR_SHARED_LIB_DEPENDS c++utilities;Qt5::Core;Qt5::Network)
    set(LIB_SYNCTHING_CONNECTOR_SHARED_LIB_COMPILE_DEFINITIONS LIB_SYNCTHING_CONNECTOR_SUPPORT_SYSTEMD)
    set(PC_PKG_SHARED_syncthingconnector "syncthingconnector")
    if(NOT TARGET "${LIB_SYNCTHING_CONNECTOR_SHARED_LIB}")
        include("${CMAKE_CURRENT_LIST_DIR}/syncthingconnectorSharedTargets.cmake")
    endif()
endif()

# define static library config
if(LIB_SYNCTHING_CONNECTOR_HAS_STATIC_LIB)
    set(LIB_SYNCTHING_CONNECTOR_STATIC_LIB "syncthingconnector_static")
    set(LIB_SYNCTHING_CONNECTOR_STATIC_LIB_DEPENDS c++utilities_static )
    set(LIB_SYNCTHING_CONNECTOR_STATIC_LIB_COMPILE_DEFINITIONS LIB_SYNCTHING_CONNECTOR_SUPPORT_SYSTEMD;LIB_SYNCTHING_CONNECTOR_STATIC)
    set(PC_PKG_STATIC_syncthingconnector_static "syncthingconnector_static")
    if(NOT TARGET "${LIB_SYNCTHING_CONNECTOR_STATIC_LIB}")
        include("${CMAKE_CURRENT_LIST_DIR}/syncthingconnectorStaticTargets.cmake")
    endif()
endif()

# set default target: prefer shared lib over static lib
if(LIB_SYNCTHING_CONNECTOR_HAS_SHARED_LIB)
    set(LIB_SYNCTHING_CONNECTOR_LIB "syncthingconnector")
else()
    set(LIB_SYNCTHING_CONNECTOR_LIB "syncthingconnector_static")
endif()

# define macro to ease use of library
macro(use_syncthingconnector)
    # make CMake modules of the project available
    list(APPEND CMAKE_MODULE_PATH ${LIB_SYNCTHING_CONNECTOR_MODULE_DIRS})
    # link against library (also "link" against header-only libs to get compile defs and interface link libs)
    link_directories(${LIB_SYNCTHING_CONNECTOR_LIB_DIR})
    include(3rdParty)
    if(NOT ARGV0)
        set(LIB_SYNCTHING_CONNECTOR_LINKAGE AUTO_LINKAGE)
    else()
        set(LIB_SYNCTHING_CONNECTOR_LINKAGE "${ARG0}")
    endif()
    link_against_library(LIB_SYNCTHING_CONNECTOR "${LIB_SYNCTHING_CONNECTOR_LINKAGE}" REQUIRED)
    # add required Qt and KF modules
    list(APPEND IMPORTED_QT_MODULES ${LIB_SYNCTHING_CONNECTOR_PUBLIC_QT_MODULES})
    list(APPEND IMPORTED_KF_MODULES ${LIB_SYNCTHING_CONNECTOR_PUBLIC_KF_MODULES})
    # add required translations to APP_SPECIFIC_QT_TRANSLATION_FILES_ARRAY
    if(LIB_SYNCTHING_CONNECTOR_HAS_QT_TRANSLATION_FILES)
        list(APPEND APP_SPECIFIC_QT_TRANSLATION_FILES syncthingconnector)
    endif()
    # ensure Qt resources of static libs are loaded
    if(USE_STATIC_LIB_SYNCTHING_CONNECTOR AND LIB_SYNCTHING_CONNECTOR_QT_RESOURCES)
        message(STATUS "Adding ${LIB_SYNCTHING_CONNECTOR_QT_RESOURCES} to LIBRARIES_QT_RESOURCES for ${META_PROJECT_NAME}.")
        list(APPEND LIBRARIES_QT_RESOURCES ${LIB_SYNCTHING_CONNECTOR_QT_RESOURCES})
    endif()
endmacro()
