
####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was Config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################

# provide meta-data
set(syncthingfileitemaction_varname "SYNCTHINGFILEITEMACTION")
set(syncthingfileitemaction_static_varname "SYNCTHINGFILEITEMACTION")
set(SYNCTHINGFILEITEMACTION_DISPLAY_NAME "Syncthing KIO-Plugin")
set(SYNCTHINGFILEITEMACTION_AUTHOR "Martchus")
set(SYNCTHINGFILEITEMACTION_VERSION "0.6.2")
set(SYNCTHINGFILEITEMACTION_VERSION_MAJOR "0")
set(SYNCTHINGFILEITEMACTION_VERSION_MINOR "6")
set(SYNCTHINGFILEITEMACTION_VERSION_PATCH "2")
set(SYNCTHINGFILEITEMACTION_GIT_REV_COUNT "")
set(SYNCTHINGFILEITEMACTION_GIT_LAST_COMMIT_ID "")
set(SYNCTHINGFILEITEMACTION_URL "https://github.com/Martchus/syncthingtray")
set(SYNCTHINGFILEITEMACTION_DESCRIPTION "KIO file item action for Syncthing")

# define general config
set(SYNCTHINGFILEITEMACTION_IS_HEADER_ONLY NO)
set(SYNCTHINGFILEITEMACTION_HAS_SHARED_LIB ON)
set(SYNCTHINGFILEITEMACTION_HAS_STATIC_LIB OFF)
set(SYNCTHINGFILEITEMACTION_INCLUDE_DIRS "${PACKAGE_PREFIX_DIR}/include")
set(SYNCTHINGFILEITEMACTION_BIN_DIR "${PACKAGE_PREFIX_DIR}/bin")
set(SYNCTHINGFILEITEMACTION_LIB_DIR "${PACKAGE_PREFIX_DIR}/lib")
set(SYNCTHINGFILEITEMACTION_MODULE_DIRS "${PACKAGE_PREFIX_DIR}/share/syncthingfileitemaction/cmake/modules")
set(SYNCTHINGFILEITEMACTION_CONFIG_DIRS "${PACKAGE_PREFIX_DIR}/share/syncthingfileitemaction/cmake")
set(SYNCTHINGFILEITEMACTION_PRIVATE_QT_MODULES "Core;Network")
set(SYNCTHINGFILEITEMACTION_PRIVATE_KF_MODULES "KIO")
set(SYNCTHINGFILEITEMACTION_PUBLIC_QT_MODULES "")
set(SYNCTHINGFILEITEMACTION_PUBLIC_KF_MODULES "")
set(SYNCTHINGFILEITEMACTION_HAS_QT_TRANSLATION_FILES YES)
set(SYNCTHINGFILEITEMACTION_QT_RESOURCES )

# define shared library config
if(SYNCTHINGFILEITEMACTION_HAS_SHARED_LIB)
    set(SYNCTHINGFILEITEMACTION_SHARED_LIB "syncthingfileitemaction")
    set(SYNCTHINGFILEITEMACTION_SHARED_LIB_DEPENDS )
    set(SYNCTHINGFILEITEMACTION_SHARED_LIB_COMPILE_DEFINITIONS )
    set(PC_PKG_SHARED_syncthingfileitemaction "syncthingfileitemaction")
    if(NOT TARGET "${SYNCTHINGFILEITEMACTION_SHARED_LIB}")
        include("${CMAKE_CURRENT_LIST_DIR}/syncthingfileitemactionSharedTargets.cmake")
    endif()
endif()

# define static library config
if(SYNCTHINGFILEITEMACTION_HAS_STATIC_LIB)
    set(SYNCTHINGFILEITEMACTION_STATIC_LIB "syncthingfileitemaction_static")
    set(SYNCTHINGFILEITEMACTION_STATIC_LIB_DEPENDS  )
    set(SYNCTHINGFILEITEMACTION_STATIC_LIB_COMPILE_DEFINITIONS SYNCTHINGFILEITEMACTION_STATIC)
    set(PC_PKG_STATIC_syncthingfileitemaction_static "syncthingfileitemaction_static")
    if(NOT TARGET "${SYNCTHINGFILEITEMACTION_STATIC_LIB}")
        include("${CMAKE_CURRENT_LIST_DIR}/syncthingfileitemactionStaticTargets.cmake")
    endif()
endif()

# set default target: prefer shared lib over static lib
if(SYNCTHINGFILEITEMACTION_HAS_SHARED_LIB)
    set(SYNCTHINGFILEITEMACTION_LIB "syncthingfileitemaction")
else()
    set(SYNCTHINGFILEITEMACTION_LIB "syncthingfileitemaction_static")
endif()

# define macro to ease use of library
macro(use_syncthingfileitemaction)
    # make CMake modules of the project available
    list(APPEND CMAKE_MODULE_PATH ${SYNCTHINGFILEITEMACTION_MODULE_DIRS})
    # link against library (also "link" against header-only libs to get compile defs and interface link libs)
    link_directories(${SYNCTHINGFILEITEMACTION_LIB_DIR})
    include(3rdParty)
    if(NOT ARGV0)
        set(SYNCTHINGFILEITEMACTION_LINKAGE AUTO_LINKAGE)
    else()
        set(SYNCTHINGFILEITEMACTION_LINKAGE "${ARG0}")
    endif()
    link_against_library(SYNCTHINGFILEITEMACTION "${SYNCTHINGFILEITEMACTION_LINKAGE}" REQUIRED)
    # add required Qt and KF modules
    list(APPEND IMPORTED_QT_MODULES ${SYNCTHINGFILEITEMACTION_PUBLIC_QT_MODULES})
    list(APPEND IMPORTED_KF_MODULES ${SYNCTHINGFILEITEMACTION_PUBLIC_KF_MODULES})
    # add required translations to APP_SPECIFIC_QT_TRANSLATION_FILES_ARRAY
    if(SYNCTHINGFILEITEMACTION_HAS_QT_TRANSLATION_FILES)
        list(APPEND APP_SPECIFIC_QT_TRANSLATION_FILES syncthingfileitemaction)
    endif()
    # ensure Qt resources of static libs are loaded
    if(USE_STATIC_SYNCTHINGFILEITEMACTION AND SYNCTHINGFILEITEMACTION_QT_RESOURCES)
        message(STATUS "Adding ${SYNCTHINGFILEITEMACTION_QT_RESOURCES} to LIBRARIES_QT_RESOURCES for ${META_PROJECT_NAME}.")
        list(APPEND LIBRARIES_QT_RESOURCES ${SYNCTHINGFILEITEMACTION_QT_RESOURCES})
    endif()
endmacro()
