
####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was Config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################

# provide meta-data
set(syncthingwidgets_varname "SYNCTHINGWIDGETS")
set(syncthingwidgets_static_varname "SYNCTHINGWIDGETS")
set(SYNCTHINGWIDGETS_DISPLAY_NAME "Widgets of Syncthing Tray")
set(SYNCTHINGWIDGETS_AUTHOR "Martchus")
set(SYNCTHINGWIDGETS_VERSION "0.6.2")
set(SYNCTHINGWIDGETS_VERSION_MAJOR "0")
set(SYNCTHINGWIDGETS_VERSION_MINOR "6")
set(SYNCTHINGWIDGETS_VERSION_PATCH "2")
set(SYNCTHINGWIDGETS_GIT_REV_COUNT "")
set(SYNCTHINGWIDGETS_GIT_LAST_COMMIT_ID "")
set(SYNCTHINGWIDGETS_URL "https://github.com/Martchus/syncthingtray")
set(SYNCTHINGWIDGETS_DESCRIPTION "Tray application for Syncthing")

# define general config
set(SYNCTHINGWIDGETS_IS_HEADER_ONLY NO)
set(SYNCTHINGWIDGETS_HAS_SHARED_LIB ON)
set(SYNCTHINGWIDGETS_HAS_STATIC_LIB OFF)
set(SYNCTHINGWIDGETS_INCLUDE_DIRS "${PACKAGE_PREFIX_DIR}/include")
set(SYNCTHINGWIDGETS_BIN_DIR "${PACKAGE_PREFIX_DIR}/bin")
set(SYNCTHINGWIDGETS_LIB_DIR "${PACKAGE_PREFIX_DIR}/lib")
set(SYNCTHINGWIDGETS_MODULE_DIRS "${PACKAGE_PREFIX_DIR}/share/syncthingwidgets/cmake/modules")
set(SYNCTHINGWIDGETS_CONFIG_DIRS "${PACKAGE_PREFIX_DIR}/share/syncthingwidgets/cmake")
set(SYNCTHINGWIDGETS_PRIVATE_QT_MODULES "Core;Network;Widgets")
set(SYNCTHINGWIDGETS_PRIVATE_KF_MODULES "")
set(SYNCTHINGWIDGETS_PUBLIC_QT_MODULES "Gui;Widgets")
set(SYNCTHINGWIDGETS_PUBLIC_KF_MODULES "")
set(SYNCTHINGWIDGETS_HAS_QT_TRANSLATION_FILES YES)
set(SYNCTHINGWIDGETS_QT_RESOURCES syncthingwidgetsicons)

# define shared library config
if(SYNCTHINGWIDGETS_HAS_SHARED_LIB)
    set(SYNCTHINGWIDGETS_SHARED_LIB "syncthingwidgets")
    set(SYNCTHINGWIDGETS_SHARED_LIB_DEPENDS syncthingconnector;syncthingmodel;Qt5::Widgets)
    set(SYNCTHINGWIDGETS_SHARED_LIB_COMPILE_DEFINITIONS SYNCTHINGWIDGETS_GUI_QTWIDGETS;SYNCTHINGWIDGETS_USE_WEBKIT)
    set(PC_PKG_SHARED_syncthingwidgets "syncthingwidgets")
    if(NOT TARGET "${SYNCTHINGWIDGETS_SHARED_LIB}")
        include("${CMAKE_CURRENT_LIST_DIR}/syncthingwidgetsSharedTargets.cmake")
    endif()
endif()

# define static library config
if(SYNCTHINGWIDGETS_HAS_STATIC_LIB)
    set(SYNCTHINGWIDGETS_STATIC_LIB "syncthingwidgets_static")
    set(SYNCTHINGWIDGETS_STATIC_LIB_DEPENDS syncthingconnector_static;syncthingmodel_static )
    set(SYNCTHINGWIDGETS_STATIC_LIB_COMPILE_DEFINITIONS SYNCTHINGWIDGETS_GUI_QTWIDGETS;SYNCTHINGWIDGETS_USE_WEBKIT;SYNCTHINGWIDGETS_STATIC)
    set(PC_PKG_STATIC_syncthingwidgets_static "syncthingwidgets_static")
    if(NOT TARGET "${SYNCTHINGWIDGETS_STATIC_LIB}")
        include("${CMAKE_CURRENT_LIST_DIR}/syncthingwidgetsStaticTargets.cmake")
    endif()
endif()

# set default target: prefer shared lib over static lib
if(SYNCTHINGWIDGETS_HAS_SHARED_LIB)
    set(SYNCTHINGWIDGETS_LIB "syncthingwidgets")
else()
    set(SYNCTHINGWIDGETS_LIB "syncthingwidgets_static")
endif()

# define macro to ease use of library
macro(use_syncthingwidgets)
    # make CMake modules of the project available
    list(APPEND CMAKE_MODULE_PATH ${SYNCTHINGWIDGETS_MODULE_DIRS})
    # link against library (also "link" against header-only libs to get compile defs and interface link libs)
    link_directories(${SYNCTHINGWIDGETS_LIB_DIR})
    include(3rdParty)
    if(NOT ARGV0)
        set(SYNCTHINGWIDGETS_LINKAGE AUTO_LINKAGE)
    else()
        set(SYNCTHINGWIDGETS_LINKAGE "${ARG0}")
    endif()
    link_against_library(SYNCTHINGWIDGETS "${SYNCTHINGWIDGETS_LINKAGE}" REQUIRED)
    # add required Qt and KF modules
    list(APPEND IMPORTED_QT_MODULES ${SYNCTHINGWIDGETS_PUBLIC_QT_MODULES})
    list(APPEND IMPORTED_KF_MODULES ${SYNCTHINGWIDGETS_PUBLIC_KF_MODULES})
    # add required translations to APP_SPECIFIC_QT_TRANSLATION_FILES_ARRAY
    if(SYNCTHINGWIDGETS_HAS_QT_TRANSLATION_FILES)
        list(APPEND APP_SPECIFIC_QT_TRANSLATION_FILES syncthingwidgets)
    endif()
    # ensure Qt resources of static libs are loaded
    if(USE_STATIC_SYNCTHINGWIDGETS AND SYNCTHINGWIDGETS_QT_RESOURCES)
        message(STATUS "Adding ${SYNCTHINGWIDGETS_QT_RESOURCES} to LIBRARIES_QT_RESOURCES for ${META_PROJECT_NAME}.")
        list(APPEND LIBRARIES_QT_RESOURCES ${SYNCTHINGWIDGETS_QT_RESOURCES})
    endif()
endmacro()
